Unseal Space
REST APIEnvironment

Delete an Environment variable

DELETE
/v1/projects/{id}/environment/{eid}
x-api-key<token>

Workspace-owned API key with per-resource permissions.

In: header

Path Parameters

id*string
Formatuuid
eid*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

expectedVersion*integer
Range-9007199254740991 <= value <= 9007199254740991

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "expectedVersion": -9007199254740991  }'
{  "variables": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "kind": "secret",      "preview": true,      "production": true,      "purpose": "string",      "required": true,      "version": -9007199254740991,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "preview": {    "revision": 0,    "appliedRevision": 0,    "stale": true  },  "production": {    "revision": 0,    "publishedRevision": 0,    "pending": true  }}